Mang đến cho bạn hành trang là Kiến thức và Kinh nghiệm

Lựa chọn chủ đề bạn quan tâm

Cùng nhau thảo luận về các vấn đề

Hãy theo dõi chúng tôi nếu bạn thấy bổ ích

  1. Hỏi đáp IT
  2. Hỏi nhanh

Không thể build project với Kotlin

201 Lượt xem 5 Bình luận 0 Lượt báo xấu
Không thể build project với Kotlin
Error:Unable to find method 'com.android.build.gradle.internal.variant.BaseVariantData.getOutputs()Ljava/util/List;'.
mình mới tải kotlin về tạo project và build app bị lỗi thế này , trước máy mình dùng bản android studio 2.3.2 cũ , ai biết chỉ mình cách khắc phục lỗi này với ?
Câu trả lời

- Bạn đã sẵn sàng thảo luận về chủ đề này. Hãy bấm "Viết bình luận", bạn có thể lựa chọn sử dụng tài khoản Facebook hoặc Google++

- Vì sự phát triển của cộng đồng CNTT/CNPM tại Việt Nam!

Unknown user
No responses yet

Cái này chắc do sdk hoặc ide nếu ide bạn tải bản mới nhất rồi mà vẫn lỗi chắc do sdk xung đột với bản cũ trên máy bạn
0 Lượt thích

Mình đã xóa cả sdk , ide cũ rồi nhưng vẫn không được ai giúp với đang gấp ?
0 Lượt thích

Mình nghĩ là do lỗi xung đột plugin Kotlin cũ.Nếu bạn thấy lỗi này, có thể là ban đang có phiên bản plugin Kotlin trước đó không tương thích với Android Plugin for Gradle trong Android Studio 3.0. Giải pháp là xóa plugin Kotlin cũ.
 
0 Lượt thích

Bạn làm đúng theo thế này nhé:
Mở file build.grade trong project-level của bạn, và xác định vị trí ext.kotlin_version. Nó sẽ là 1.1.2-4 (hoặc cao hơn). Nếu nó là một phiên bản cũ, bạn cần xoá Kotlin plugin cũ, vì vậy không làm cản trở phiên bản có trong Android Studio 3.0.
Trên Windows, nên đặt tại C: \ Users \ username \ AndroidStudioversion \ config \ plugins \ Kotlin . Trên Mac: ~/Library/Application\ Support/AndroidStudioversion/Kotlin/.
0 Lượt thích

hehe được rồi thank @Đàm Mạnh Tuấn nhé
0 Lượt thích

Từ khóa tìm kiếm

Câu trả lời mới nhất

Tin tuyển dụng